package com.jeeplus.test.reimbursementsys.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.TreeEntity;
import com.jeeplus.core.service.dto.TreeDTO;
import com.jeeplus.sys.utils.ExcelField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 中审报表数据表
 * @author: 徐滕
 * @version: 2022-05-11 10:31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("zs_reimbursement_info")
public class ReimbursementDTO extends TreeEntity<ReimbursementDTO> {
    private String businessCode;    //业务编号
    private String invoiceCode;     //发票代码
    private String invoiceNumber;   //发票号码
    private String firmName;        //购方企业名称

    @DateTimeFormat(pattern =  "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date makeTime;          //开票日期
    private String name;     //商品名称
    private String money;       //金额
    private String tax;         //税额
    private String income;      //收入
    private String proposer;        //申请人
    private String partner;         //合伙人
    private String businessType;    //业务类型
    private String remarks;    //备注
    private Integer type;    //状态
    private List<String> idList;

    @DateTimeFormat(pattern =  "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gatheringTime;     //收款日期

    @ExcelField(title="业务编号", align=2, sort=12)
    public String getBusinessCode() {
        return businessCode;
    }

    @ExcelField(title="发票代码", align=2, sort=1)
    public String getInvoiceCode() {
        return invoiceCode;
    }

    @ExcelField(title="发票号码", align=2, sort=2)
    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    @ExcelField(title="购方企业名称", align=2, sort=3)
    public String getFirmName() {
        return firmName;
    }

    @ExcelField(title="开票日期", align=2, sort=4)
    public Date getMakeTime() {
        return makeTime;
    }

    @ExcelField(title="商品名称", align=2, sort=5)
    public String getName() {
        return name;
    }

    @ExcelField(title="金额", align=2, sort=6)
    public String getMoney() {
        return money;
    }

    @ExcelField(title="税额", align=2, sort=7)
    public String getTax() {
        return tax;
    }

    @ExcelField(title="收入", align=2, sort=8)
    public String getIncome() {
        return income;
    }

    @ExcelField(title="申请人", align=2, sort=9)
    public String getProposer() {
        return proposer;
    }

    @ExcelField(title="合伙人", align=2, sort=10)
    public String getPartner() {
        return partner;
    }

    @ExcelField(title="业务类型", align=2, sort=11)
    public String getBusinessType() {
        return businessType;
    }

    @ExcelField(title="收款日期", align=2, sort=13)
    public Date getGatheringTime() {
        return gatheringTime;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public void setFirmName(String firmName) {
        this.firmName = firmName;
    }

    public void setMakeTime(Date makeTime) {
        this.makeTime = makeTime;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public void setTax(String tax) {
        this.tax = tax;
    }

    public void setIncome(String income) {
        this.income = income;
    }

    public void setProposer(String proposer) {
        this.proposer = proposer;
    }

    public void setPartner(String partner) {
        this.partner = partner;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public void setGatheringTime(Date gatheringTime) {
        this.gatheringTime = gatheringTime;
    }

}
